Send Message

Send an SMS or MMS message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Send an SMS or MMS message to a recipient. In its simplest use, you can use the to, fonenumber and message fields to send a basic text message. FoneStorm will respond with an id for the message that can be used to retrieve further information on status and delivery.

Notes

media

Binaries, as identified by media, have a size limit of 15MB. Parameter media can accept a file or a URL of the file.

Supported MMS File Types

ExtensionFile Type-ExtensionFile Type-ExtensionFile Type-ExtensionFile Type
.gzapplication/gzip.flacaudio/flac.jpgimage/jpeg.avivideo/avi
.jsapplication/javascript.m4aaudio/mp4.pjpegimage/pjpeg.m4vvideo/mp4
.jsonapplication/json.m4baudio/mp4.pngimage/png.mp4video/mp4
.ogaapplication/ogg.m4paudio/mp4.svgimage/svg+xml.m1vvideo/mpeg
.oggapplication/ogg.m4raudio/mp4.tifimage/tiff.mpegvideo/mpeg
.ogvapplication/ogg.m1aaudio/mpeg.tiffimage/tiff.mpgvideo/mpeg
.ogxapplication/ogg.m2aaudio/mpeg.webpimage/webp.mpvvideo/mpeg
.pdfapplication/pdf.mp1audio/mpeg.icoimage/x-icon.oggvideo/ogg
.rtfapplication/rtf.mp2audio/mpeg.caltext/calendar.ogmvideo/ogg
.smilapplication/smil.mp3audio/mpeg.csstext/css.ogvvideo/ogg
.bz2application/x-bzip2.mpaaudio/mpeg.csvtext/csv.ogxvideo/ogg
.gzapplication/x-gzip.ogaaudio/ogg.htmltext/html.spxvideo/ogg
.tarapplication/x-tar.wavaudio/wav.jstext/javascript.movvideo/quicktime
.xmlapplication/xml.webmaudio/webm.txttext/plain.qtvideo/quicktime
.zipapplication/zip.bmpimage/bmp.vcardtext/vcard.webmvideo/webm
.3gpaudio/3gpp.dibimage/bmp.vcftext/vcard.flvvideo/x-flv
.3gaaudio/amr.gifimage/gif.waptext/vnd.wap.wml.wmvvideo/x-ms-wmv
.amraudio/amr.jpegimage/jpeg.xmltext/xml

confirmation_url

Message sending confirmation callback URLs receive JSON data via a POST request (see below for a description of the data package) but can also use token replacements to receive callback data values in query string parameters. For more information, see Callbacks / Web Hooks.

ParameterTypeDescription
tostringPhone number of recipient.
fromstringFoneNumber of sender.
msgstringContents of the message.
dsstringDelivery state of the message. Potential values are waiting, delivered or not-delivered.
dcintDelivery code of the message. Potential values are:
  • 000 - Message delivered to carrier
  • 100 - Message not delivered to carrier
  • 187 - Statistical spam detected
  • 188 - Keyword spam detected
  • 189 - Spam detected
  • 482 - Loop detected
  • 600 - Destination carrier could not accept messages
  • 610 - Message submission failed
  • 620 - Destination application error
  • 630 - Message not acknowledged
  • 720 - Invalid destination number
  • 740 - Invalid source number
  • 999 - Unknown error
idstringUnique identifier for the message.
Response Properties
PropertyTypeDescription
messageobjectMessage
Body Params
to
array of strings
required

Receiving phone numbers

to*
string
required

Your FracTEL FoneNumber

string

Message body. Either message or media REQUIRED.

string

Media URL or media file. Either message or media REQUIRED.

string

Callback URL for confirmation

string

Username for HTTP Basic authentication scheme

string

Password for HTTP Basic authentication scheme

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json